#ifndef MYMEDIAINFO_H
#define MYMEDIAINFO_H

#include <QObject>
//#include "qvariant.h"
#include <MediaInfoDLL.h>

class myMediaInfo : public QObject, public MediaInfoDLL::MediaInfo {
    Q_OBJECT

public:
    myMediaInfo(QObject* parent = nullptr);
    enum HDR_Type{ERR = -1, SDR = 0, HDR = 1, DOVI = 2};
    Q_ENUM(HDR_Type)

    enum HDR_Type getHDRType(const MediaInfoDLL::String fileName);
    Q_INVOKABLE enum HDR_Type getHDRType(QString fileName);

private:

};


#endif // MYMEDIAINFO_H
